import 'package:mmoo_base_video/entity/call_entity.dart';
import 'package:mmoo_base_video/entity/match_entity.dart';

callEntityFromJson(CallEntity data, Map<String, dynamic> json) {
	if (json['callId'] != null) {
		data.callId = json['callId'].toString();
	}
	if (json['userName'] != null) {
		data.userName = json['userName'].toString();
	}
	if (json['userImage'] != null) {
		data.userImage = json['userImage'].toString();
	}
	if (json['callMatch'] != null) {
		data.callMatch = json['callMatch'];
	}
	if (json['callCost'] != null) {
		data.callCost = json['callCost'].toString();
	}
	if (json['callCostUserId'] != null) {
		data.callCostUserId = json['callCostUserId'].toString();
	}
	if (json['callPackage'] != null) {
		data.callPackage = json['callPackage'].toString();
	}
	if (json['matchTime'] != null) {
		data.matchTime = json['matchTime'].toString();
	}
	if (json['matchCostUserId'] != null) {
		data.matchCostUserId = (json['matchCostUserId'] as List).map((v) => MatchCostUser().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> callEntityToJson(CallEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['callId'] = entity.callId;
	data['userName'] = entity.userName;
	data['userImage'] = entity.userImage;
	data['callMatch'] = entity.callMatch;
	data['callCost'] = entity.callCost;
	data['callCostUserId'] = entity.callCostUserId;
	data['callPackage'] = entity.callPackage;
	data['matchTime'] = entity.matchTime;
	data['matchCostUserId'] =  entity.matchCostUserId?.map((v) => v.toJson())?.toList();
	return data;
}

callLabelFromJson(CallLabel data, Map<String, dynamic> json) {
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	return data;
}

Map<String, dynamic> callLabelToJson(CallLabel entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['name'] = entity.name;
	data['type'] = entity.type;
	return data;
}